.\" $NetBSD: audioctl.1,v 1.17 2003/02/25 10:35:36 wiz Exp $
.\"
.\" Copyright (c) 1997, 1999 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Author: Lennart Augustsson and Charles M. Hannum
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd January 27, 2002
.Dt AUDIOCTL 1
.Os
.Sh NAME
.Nm audioctl
.Nd control audio device
.Sh SYNOPSIS
.Nm
.Op Fl d Ar device
.Op Fl n
.Fl a
.Nm
.Op Fl d Ar device
.Op Fl n
.Ar name ...
.Nm
.Op Fl d Ar device
.Op Fl n
.Fl w
.Ar name=value ...
.Sh DESCRIPTION
The
.Nm
command displays or sets various audio system driver variables.
If a list of variables is present on the command line, then
.Nm
prints the current value of those variables for the specified device.
If the
.Fl a
flag is specified, all variables for the device are printed.
If the
.Fl w
flag is specified
.Nm
attempts to set the specified variables to the given values.
.Pp
The
.Fl d
flag can be used to give an alternative audio control device, the default is
.Pa /dev/audioctl0 .
.Pp
The
.Fl n
flag suppresses printing of the variable name.
.Sh ENVIRONMENT
.Bl -tag -width AUDIOCTLDEVICE
.It Pa AUDIOCTLDEVICE
the audio control device to use.
.El
.Sh FILES
.Bl -tag -width /dev/audioctl0 -compact
.It Pa /dev/audio0
audio I/O device (resets on open)
.It Pa /dev/audioctl0
audio control device
.It Pa /dev/sound0
audio I/O device (does not reset on open)
.El
.Sh EXAMPLES
To set the playing sampling rate to 11025, you can use
.Dl audioctl -w play.sample_rate=11025
To set all of the play parameters for CD-quality audio, you can use
.Dl audioctl -w play=44100,2,16,slinear_le
Note that many of the variables that can be inspected and changed with
.Nm
are reset when
.Pa /dev/audio0
is opened.
This can be circumvented by using
.Pa /dev/sound0
instead.
.Sh SEE ALSO
.Xr audioplay 1 ,
.Xr audiorecord 1 ,
.Xr mixerctl 1 ,
.Xr audio 4 ,
.Xr sysctl 8
.Sh HISTORY
The
.Nm
command first appeared in
.Nx 1.3 .
.Sh COMPATIBILITY
The old
.Fl f
flag is still supported.
This support will be removed eventually.
